package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 资产统计
//
//	type AssetCount struct {
//		Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
//		UserId     primitive.ObjectID `bson:"userId,omitempty" json:"userId"`
//		ProductId  primitive.ObjectID `bson:"productId,omitempty" json:"productId"`
//		DefKey     string             `bson:"defKey,omitempty" json:"defKey"`   //数据库名字
//		DefName    string             `bson:"defName,omitempty" json:"defName"` //前端展示标签
//		CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
//		Status     *int32             `bson:"status,omitempty" json:"status"`
//	}
type AssetCount struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	DbId       primitive.ObjectID `bson:"dbId,omitempty" json:"dbId"`
	Type       *int32             `bson:"type,omitempty" json:"type"`       // 10 mesh 20 image 30 material 40 env3d
	DefKey     string             `bson:"defKey,omitempty" json:"defKey"`   //数据表名字
	DefName    string             `bson:"defName,omitempty" json:"defName"` //前端展示标签
	Count      *int32             `bson:"count,omitempty" json:"count"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
}
